Ktouth Brand. on Web

け〜くんこと K.Ktouth のだらだらした日常と突発的に作るプログラムや読み物とかの雑多サイト



[2010年09月14日]

Rumix か RubyInstaller か

2010年09月15日 20:19更新 筆者:K.Ktouth

今までrubyアプリの開発にはエンバカデロの TurboRuby 付属の TurboRDK を使ってきたんですが、ぶっちゃけ IDE そのものはくそ重くて使い物にならないわ、1.8、というか付属 TurboRDK 以外のrubyパッケージを一切扱えないため最新の1.9系列や1.8.7すら仕えないという体たらくだったんですわ。
それでも一応有償ソフトですからとRDKだけ使い続けたんですが……(ぉぃ

C#での開発にかまけてる間に、すでに1年のライセンスは切れてるし、完全に別パッケージを使って環境再構築しようかなぁ……と思ったんですが。さてどのインストーラを使って入れるかお悩み中。
選択肢としては……

  1. RubyInstaller

    • 1.8.7 / 1.9.2 の最新版に追随している
    • 各種外部アドインを提供、インストールするだけで Rails まで使用可
    • ただしドキュメントなど英語前提
  2. ActiveScriptRuby

    • 1.8.7 / 1.9.2 の最新版に追随している
    • 各種外部アドインを提供、ただし Rails は別途インストール
    • セキュリティのため、旧バージョンでの一番の売りであったIEに組み込める機能は現在機能していない
  3. Rumix

    • 1.8.7 に追随しているが最新パッチではない、1.9.2 版はまだ無い
    • 各種外部アドインを提供、ただし Rails は別途インストール
    • インストーラがVista/7でエラーを出すことがあるらしい
  4. ソースから自前ビルド

    • ぶっちゃけ、超面倒(笑)

さて、上2つが候補だけど、どっちにすべかぁ……

(9/15追記:どのパッケージでも各種gemは初期状態でインストールされているわけではない=railsなどはgemコマンドで普通通りに自前でインストール)

本日のリンク元
アンテナ
その他のリンク元
検索